# jdk.jshell.spi

## Interfaces

- ExecutionControl
- ExecutionControlProvider
- ExecutionEnv

## Classes

- ExecutionControl.ClassBytecodes

## Exceptions

- ExecutionControl.ClassInstallException
- ExecutionControl.EngineTerminationException
- ExecutionControl.ExecutionControlException
- ExecutionControl.InternalException
- ExecutionControl.NotImplementedException
- ExecutionControl.ResolutionException
- ExecutionControl.RunException
- ExecutionControl.StoppedException
- ExecutionControl.UserException
- SPIResolutionException